
// You can import API functions like this from D3.js.
import { select, arc } from 'd3';

// const svg = d3.select('svg');
const svg = select('svg');

const height = parseFloat(svg.attr("height"));
const width= +svg.attr("width");

console.log(width, typeof width);
console.log(height, typeof height);

const eyeSpacing =90;
const eysYOffset = 60;
const eyeRadius = height/18;


const g= svg.append('g')
			.attr('transform', `translate(${width/2}, ${height /2})`);

const circle = g.append('circle')
  .attr("r", height/2)
	.attr("fill", 'yellow')
	.attr("stroke", 'black');
	
const eyeG = g.append('g').attr('fill', 'black');

const leftEye = eyeG.append('ellipse')
  .attr("r", eyeRadius)
	.attr('cx', -eyeSpacing)
	.attr('cy', eysYOffset)
	.attr('rx',20)
	.attr('ry',40)
  .attr('fill','white')
  .attr('stroke','black');
const Leyeball=eyeG.append('circle')
  .attr('r',15)
  .attr('cx',-eyeSpacing)
   .attr('cy',eysYOffset)
  .attr('fill','black')
  .attr('stroke','black');
const rightEye =eyeG.append('ellipse')
  .attr("r", eyeRadius)
	.attr('cx', eyeSpacing)
	.attr('cy',  eysYOffset)
	.attr('rx',20)
	.attr('ry',40)
  .attr('fill','white')
  .attr('stroke','black');
const Reyeball=eyeG.append('circle')
  .attr('r',15)
  .attr('cx',eyeSpacing)
   .attr('cy',eysYOffset)
  .attr('fill','black')
  .attr('stroke','black');



const mouth = g.append('path')
	.attr('d', arc()({
    innerRadius: 160,
    outerRadius: 170,
    startAngle: -Math.PI/2,
    endAngle: Math.PI/2
}));






